java.lang.NoClassDefFoundError: Resolución fallida de: Landroid / support / v7 / internal / widget / TintManager;

Encontré algunas respuestas, pero ninguna de ellas se ajustaba a mi problema. Cuando agrego estas cosas a mis dependencies:

dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:appcompat-v7:23.0.1' compile 'com.android.support:design:23.0.1' compile 'com.android.support:support-v4:23.0.1' compile 'com.android.support:cardview-v7:23.0.1' compile 'com.google.android.gms:play-services-gcm:8.4.0' compile 'com.nineoldandroids:library:2.4.0' } 

todo funciona bien, pero cuando agrego esto:

 compile 'com.wang.avi:library:1.0.5' 

la aplicación se bloquea y muestra este error. Intento usar el código de github.

'com.wang.avi:library:1.0.5' depende de 'com.android.support:appcompat-v7:23.2.0' . Existen algunas diferencias internas entre 23.2.0 y versiones anteriores (de las cuales usted depende actualmente.

La versión más nueva de la biblioteca de soporte es 23.3.0, que debería ser compatible.

Si no funciona, puedo recomendar 23.2.1 en lugar de 23.2.0.

No olvides actualizar todas las versiones de tu biblioteca de soporte:

 dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:design:23.3.0' // includes appcompat-v7 which includes support-v4 compile 'com.android.support:cardview-v7:23.3.0' compile 'com.google.android.gms:play-services-gcm:8.4.0' compile 'com.nineoldandroids:library:2.4.0' }